#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>
#include <math.h>
#include <time.h>
#include <map>
using namespace std;

bool limiter=true;

FILE *fReplay;


SDL_Surface *screen;
SDL_Surface *SurfaceHUD;
SDL_Surface *SurfaceTmp;
SDL_Event event;
Uint8 *keystate = SDL_GetKeyState(NULL);
TTF_Font *font;
bool playReplay=false;
#include "text.h"

map<const short, GLuint> texture;
map<const short, GLuint> normalmap;

//config/basic
#include "ogl.h"
#include "config.h"
#include "mtmloader.h"
#include "functions.h"

//game
#include "init.h"
#include "classes.h"

//etc
#include "gl/particles.h"
#include "hud.h"
#include "menu.h"
#include "game.h"


int main(int argc, char *argv[])
{ 
	GLenum flag=0;
	for(int i=0; i<argc; i++){
		if(argv[i][1]=='f') flag=SDL_FULLSCREEN;
		else if(argv[i][1]=='h'){
			SCREEN_WIDTH=1024;
			SCREEN_HEIGHT=768;
		}
		else if(argv[i][1]=='l'){
			SCREEN_WIDTH=1280;
			SCREEN_HEIGHT=1024;
		}
		else if(argv[i][1]=='p'){
			SCREEN_WIDTH=1280;
			SCREEN_HEIGHT=800;
		}
		else if(argv[i][1]=='r'){
			playReplay=true;
		}
		else if(argv[i][1]=='n'){
			limiter=false;
		}
		
	}
	
	//printf("flag:%d\n", flag);
	//printf("Game: %d\n\n", sizeof(game));
	init(flag);
	
	play();
	
	return 0;
}
